Frame Buffer Capture Structures(3)

NAME
Frame Buffer Capture Structures -

  Data Structures

struct nvmlFBCStats_t
struct nvmlFBCSessionInfo_t

  Defines

#define NVML_NVFBC_SESSION_FLAG_DIFFMAP_ENABLED 0x00000001
Bit specifying differential map state.
#define NVML_NVFBC_SESSION_FLAG_CLASSIFICATIONMAP_ENABLED 0x00000002
Bit specifying classification map state.
#define NVML_NVFBC_SESSION_FLAG_CAPTURE_WITH_WAIT_NO_WAIT 0x00000004
Bit specifying if capture was requested as non-blocking call.
#define NVML_NVFBC_SESSION_FLAG_CAPTURE_WITH_WAIT_INFINITE 0x00000008
Bit specifying if capture was requested as blocking call.
#define NVML_NVFBC_SESSION_FLAG_CAPTURE_WITH_WAIT_TIMEOUT 0x00000010
Bit specifying if capture was requested as blocking call with timeout period.

  Enumerations

enum nvmlFBCSessionType_t { NVML_FBC_SESSION_TYPE_UNKNOWN = 0, NVML_FBC_SESSION_TYPE_TOSYS, NVML_FBC_SESSION_TYPE_CUDA, NVML_FBC_SESSION_TYPE_VID, NVML_FBC_SESSION_TYPE_HWENC }

Enumeration Type Documentation

  enum nvmlFBCSessionType_t

Represents frame buffer capture session type

Enumerator:

NVML_FBC_SESSION_TYPE_UNKNOWN
    Unknwon.

NVML_FBC_SESSION_TYPE_TOSYS
    ToSys.

NVML_FBC_SESSION_TYPE_CUDA
    Cuda.

NVML_FBC_SESSION_TYPE_VID
    Vid.

NVML_FBC_SESSION_TYPE_HWENC
    HEnc.

Author

Generated automatically by Doxygen for NVML from the source code.